#!/usr/bin/env cwl-runner

cwlVersion: v1.0
class: Workflow

requirements:
  - class: ScatterFeatureRequirement
  - class: StepInputExpressionRequirement

inputs:
  input_files: File[]

steps:
  # 1) Simulate read extraction
  split_reads:
    run: split_reads.cwl
    scatter: [input_file, R1_file, R2_file]
    scatterMethod: dotproduct
    in:
      input_file: input_files
      R1_file:
        source: input_files
        valueFrom: $(self.nameroot).R1.tmp
      R2_file:
        source: input_files
        valueFrom: $(self.nameroot).R2.tmp
    out:
      [read1_file, read2_file]

outputs:
  read1_files:
    type: File[]
    outputSource: split_reads/read1_file

  read2_files:
    type: File[]
    outputSource: split_reads/read2_file
